Bug 200381 - Hinting needs to be disabled for newly added indic fonts.
Summary: Hinting needs to be disabled for newly added indic fonts.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-27 11:56 UTC by Mayank Jain
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.3.95-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 22:20:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for disabling hinting (1.68 KB, patch)
2006-07-27 11:58 UTC, Mayank Jain
no flags Details | Diff

Description Mayank Jain 2006-07-27 11:56:52 UTC
Description of problem:
Hinting needs to be disabled for newly added indic fonts.

Version-Release number of selected component (if applicable):
fonts-sinhala-0.2-3
fonts-telugu-2.0-1
fonts-malayalam-2.0-1
fonts-kannada-2.0-1
fonts-oriya-2.0-1
fontconfig-2.3.95-3

How reproducible:
Type in font size < 10

Comment 1 Mayank Jain 2006-07-27 11:58:53 UTC
Created attachment 133143 [details]
Patch for disabling hinting

Patch for disabling hinting.

Comment 2 Mayank Jain 2006-07-27 12:41:18 UTC
This patch is required becuase no-hinting renders better fonts for these
languages, the smudging is less, the font is more readable, asthetic sense is
better.

Comment 3 Behdad Esfahbod 2006-07-27 19:31:01 UTC
Mayank, you better ship the config file with the fonts package, not fontconfig.
 I actually appreciate it if you move the current 50-no-hint-fonts.conf out of
the fontconfig package.  That's certainly an improvement.   Check out package
dejavu-lgc-fonts for example to see how you can do that.

Thanks.

Comment 4 Behdad Esfahbod 2006-07-27 19:39:38 UTC
Thinking again, and now having bug 200397 too, I think we may as well go on and
commit these to fontconfig and later on clean up the configurations pushing them
into font packages OR upstream.

Comment 5 Mayank Jain 2006-07-28 05:57:28 UTC
Thanks Behdad :)


Note You need to log in before you can comment on or make changes to this bug.